<?php
include_once("incs/head.php");

$act=$_GET['act'];

switch($act){

case'2':
head("Установка движка СMS Кактус - Шаг 2",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 2</div>";

echo '<div class="form">';
echo '<form method="post" action="install.php?act=3">';
echo 'Сервер MySQL:<br>';
echo '<input name="dbhost" value="localhost"/><br>';
echo 'Имя базы данных:<br>';
echo '<input name="dbname"/><br>';
echo 'Имя пользователя:<br>';
echo '<input name="dbuser"/><br>';
echo 'Пароль:<br>';
echo '<input name="dbpass" type="password"/><br><br>';
echo '<input value="Продолжить" type="submit"/></form></div><br>';

include_once("incs/down.php");
break;

case'3':
head("Установка движка СMS Кактус - Шаг 3",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 3</div>";

$bd_host = trim(htmlspecialchars($_POST['dbhost']));
$bd_name = trim(htmlspecialchars($_POST['dbname']));
$bd_user = trim(htmlspecialchars($_POST['dbuser']));
$bd_pass = trim(htmlspecialchars($_POST['dbpass']));

$dbconfig='<?php
$mysql_host='.$bd_host.';
$mysql_db_name='.$bd_name.';
$mysql_user='.$bd_user.';
$mysql_pass='.$bd_pass.';

$dbcnx = @mysql_connect($mysql_host, $mysql_user, $mysql_pass);
if (!$dbcnx){
echo"В настоящий момент сервер базы данных не доступен, поэтому корректное отображение страницы невозможно.";
exit();
}
mysql_select_db($mysql_db_name, $dbcnx);

mysql_query ("set character_set_client=\'cp1251\'");
mysql_query ("set character_set_results=\'cp1251\'");
mysql_query ("set collation_connection=\'cp1251_general_ci\'"); 
?>';

$fp = fopen('incs/conf.php', "a+");
@chmod('incs/conf.php', 0777);
flock ($fp, LOCK_EX);
ftruncate($fp, 0);
fputs ($fp, $dbconfig);
fflush($fp);
flock ($fp, LOCK_UN);
fclose($fp);

echo"Если не возникло никаких проблем - нажмите ПРОДОЛЖИТЬ<br>";
echo"Если же возникли проблемы - значит вы неверно заполнили поля<br>";
echo"Если на следующий странице покажет ошибку - вернитесь и проверте правельность подключения к базе<br>";

echo "<div class=\"menu\"><a href=\"install.php?act=4\">ПРОДОЛЖИТЬ</a></div>";
include_once("incs/down.php");
break;

case'4':
include_once("incs/conf.php");
head("Установка движка СMS Кактус - Шаг 4",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 4</div>";

mysql_query("CREATE TABLE `admin_chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `nick` varchar(128) NOT NULL,
  `msg` varchar(512) NOT NULL,
  `ip` varchar(512) NOT NULL,
  `soft` varchar(512) NOT NULL,
  `date` varchar(512) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `bank` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `suma` int(100) NOT NULL,
  `proc` int(100) NOT NULL,
  `time` int(100) NOT NULL,
  `read` set('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `chat_post` (
  `id` int(11) NOT NULL auto_increment,
  `id_razd` varchar(128) NOT NULL,
  `id_user` varchar(128) NOT NULL,
  `msg` varchar(128) NOT NULL,
  `date` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `chat_razd` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL,
  `nom` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_razd` int(128) NOT NULL,
  `id_pod_razd` int(128) NOT NULL,
  `id_them` int(128) NOT NULL,
  `name` varchar(128) NOT NULL,
  `id_user` int(128) NOT NULL,
  `time` int(128) NOT NULL,
  `open` set('0','1') NOT NULL DEFAULT '0',
  `zakrep` set('0','1') NOT NULL DEFAULT '0',
  `nom` int(128) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `forum_post` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_pod_razd` int(128) NOT NULL,
  `id_razd` int(128) NOT NULL,
  `id_them` int(128) NOT NULL,
  `id_user` int(128) NOT NULL,
  `nom` int(128) NOT NULL,
  `nick` varchar(128) NOT NULL,
  `msg` text NOT NULL,
  `cit_msg` text NOT NULL,
  `original_msg` text NOT NULL,
  `time` varchar(128) NOT NULL,
  `time_msg` int(128) NOT NULL,
  `nick_izm` varchar(128) NOT NULL,
  `time_izm` varchar(128) NOT NULL,
  `nom_izm` int(128) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `friends` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_friends` int(11) NOT NULL,
  `podtverd` set('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `guests` (
  `id` int(15) NOT NULL auto_increment,
  `ip` varchar(128) NOT NULL,
  `date_last` int(128) NOT NULL,
  `url` varchar(64) NOT NULL,
  `perehod` int(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `jurnal` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `msg` varchar(512) NOT NULL,
  `time` varchar(512) NOT NULL,
  `kol` int(11) NOT NULL default '1',
  `read` set('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `lib` (
  `id` int(11) NOT NULL auto_increment,
  `id_razd` int(128) NOT NULL,
  `id_pod_razd` int(128) NOT NULL,
  `id_them` int(128) NOT NULL,
  `name` varchar(128) NOT NULL,
  `text` text NOT NULL,
  `id_user` int(128) NOT NULL,
  `skik` int(128) NOT NULL,
  `ratyng` int(128) NOT NULL,
  `mod` set('0','1') NOT NULL default '0',
  `nom` int(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `lib_access` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_stat` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `lib_post` (
  `id` int(11) NOT NULL auto_increment,
  `id_razd` int(128) NOT NULL,
  `id_pod_razd` int(128) NOT NULL,
  `id_them` int(128) NOT NULL,
  `id_user` int(128) NOT NULL,
  `nom` int(128) NOT NULL,
  `nick` varchar(128) NOT NULL,
  `msg` text NOT NULL,
  `time` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `mail` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_otrim` int(11) NOT NULL,
  `msg` varchar(512) NOT NULL,
  `time` varchar(512) NOT NULL,
  `read` set('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `mail_kontakt` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_kontakt` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `news` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(512) NOT NULL,
  `msg` varchar(512) NOT NULL,
  `data` varchar(512) NOT NULL,
  `time` varchar(512) NOT NULL,
  `skok` int(100) NOT NULL default '0',
  `sozdal` varchar(512) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `news_kom` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_news` varchar(512) NOT NULL,
  `msg` varchar(1024) NOT NULL,
  `time` varchar(512) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `obmen` (
  `id` int(11) NOT NULL auto_increment,
  `id_razd` int(128) NOT NULL,
  `name` varchar(128) NOT NULL,
  `maxfilesize` int(11) NOT NULL,
  `size` int(11) NOT NULL,
  `ras` varchar(36) NOT NULL,
  `id_user` int(128) NOT NULL,
  `nick` varchar(128) NOT NULL,
  `opis` text NOT NULL,
  `k_loads` int(11) default '0',
  `mod` set('1','0') NOT NULL default '0',
  `time` varchar(128) NOT NULL,
  `upload` set('1','0') NOT NULL default '1',
  `nom` int(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `obmen_post` (
  `id` int(11) NOT NULL auto_increment,
  `id_file` int(128) NOT NULL,
  `id_user` int(128) NOT NULL,
  `nom` int(128) NOT NULL,
  `nick` varchar(128) NOT NULL,
  `msg` text NOT NULL,
  `time` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `qv` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `nick` varchar(128) NOT NULL,
  `msg` varchar(512) NOT NULL,
  `ip` varchar(512) NOT NULL,
  `soft` varchar(512) NOT NULL,
  `date` varchar(512) NOT NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `ip` (`ip`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `settings` (
  `id` int(11) NOT NULL auto_increment,
  `reg` set('0','1') NOT NULL default '0',
  `them` varchar(128) NOT NULL default 'vooz',
  `news` set('0','1') NOT NULL default '0',
  `quest` set('0','1') NOT NULL default '0',
  `chat` set('0','1') NOT NULL default '0',
  `forum` set('0','1') NOT NULL default '0',
  `obmen` set('0','1') NOT NULL default '0',
  `lib` set('0','1') NOT NULL default '0',
  `games` set('0','1') NOT NULL default '0',
  `admin_chat` set('0','1') NOT NULL default '0',
  `statistik` set('0','1') NOT NULL default '0',
  `bank` set('0','1') NOT NULL default '0',
  `schet` set('0','1') NOT NULL default '0',
  `images` set('0','1') NOT NULL default '0',
  `lib_page` int(128) NOT NULL default '3500',
  `stoymost_rat` int(128) NOT NULL default '100',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `spam` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_otrim` int(11) NOT NULL,
  `id_otprav` int(11) NOT NULL,
  `msg` varchar(512) NOT NULL,
  `time` varchar(512) NOT NULL,
  `read` set('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `user` (
  `id` int(15) NOT NULL auto_increment,
  `nick` varchar(128) NOT NULL,
  `pass` varchar(512) NOT NULL,
  `str` varchar(3) NOT NULL,
  `pol` set('0','1') NOT NULL default '1',
  `ban` int(255) NOT NULL,
  `ban_prich` varchar(512) NOT NULL,
  `money` int(255) NOT NULL default '0',
  `rating` int(255) NOT NULL default '0',
  `msg_for_page` int(11) NOT NULL default '10',
  `level` set('0','1','2','3','4','5','6','7','8','9','10','11') NOT NULL default '0',
  `dostup_my` set('0','1') NOT NULL default '0',
  `online_pom` set('0','1') NOT NULL default '0',
  `avatar` varchar(4) NOT NULL,
  `gde` varchar(128) NOT NULL,
  `them` varchar(128) NOT NULL default 'vooz',
  `time_gde` int(128) NOT NULL,
  `date_reg` int(128) NOT NULL,
  `date_last` int(128) NOT NULL,
  `time_online` int(128) NOT NULL,
  `ank_name` varchar(128) NOT NULL,
  `ank_fam` varchar(128) NOT NULL,
  `ank_ot` varchar(128) NOT NULL,
  `ank_d_r` varchar(11) NOT NULL,
  `ank_m_r` text NOT NULL,
  `ank_g_r` varchar(11) NOT NULL,
  `ank_city` varchar(128) NOT NULL,
  `ank_icq` varchar(128) NOT NULL,
  `ank_mail` varchar(128) NOT NULL,
  `ank_n_tel` varchar(128) NOT NULL,
  `ank_o_sebe` varchar(128) NOT NULL,
  `status` varchar(80) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `votes` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(512) NOT NULL,
  `otvet` set('2','3','4','5') NOT NULL default '2',
  `votes` int(128) NOT NULL default '0',
  `time` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `votes_access` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_votes` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

mysql_query("CREATE TABLE `votes_var` (
  `id` int(11) NOT NULL auto_increment,
  `id_votes` int(128) NOT NULL,
  `otvet` varchar(128) NOT NULL,
  `votes` int(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;");

$mail="vcms@mail.ru";
$subject="VCMS";
$message="На сайте http://$_SERVER[HTTP_HOST] установили движок VCMS.";
$botmail="xakzek@mail.ru";
mail($mail,$subject, $message, "From: $botmail");

echo '<form method="post" action="install.php?act=5">';
echo 'Регистрация Администратора<br>Логин:<br/><input type="text" name="nick" maxlength="32" value="ADMIN"/><br>';
echo 'Ваш пол:<br/><select name="pol"><option value="1">Мужской</option><option value="0">Женский</option></select><br>';
echo 'Введите пароль (6-32 символов):<br/><input type="password" name="pass1" maxlength="32"/><br>';
echo 'Повторите пароль:<br><input type="password" name="pass2" maxlength="32"/><br>';
echo '<input type="submit" value="Продолжить"/></form>';

include_once("incs/down.php");
break;

case'5':
include_once("incs/conf.php");
include_once("incs/fmysql.php");

$n=filtr($_POST['nick']);
$p1=filtr($_POST['pass1']);
$pas=$p1;
$p1=md5($p1);
$p2=filtr($_POST['pass2']);
$p2=md5($p2);
$pol=$_POST['pol'];
$time=time();
$len_nick = strlen($_POST['nick']);
$len_pass = strlen($_POST['pass1']);

if($n!="" && $p1!="" && $p2!="" && $p1==$p2){
if($len_nick>=3){
if($len_pass>=6){
if($_POST['pol']==0 OR $_POST['pol']==1){
mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`, `level`) values('$n', '$p1', '$time', '$time', '$pol', '11')");

$user=mysql_fetch_array(mysql_query("SELECT nick FROM `user` WHERE `nick` = '$n'"));

SetCookie("nick","$n",time()+15552000);
SetCookie("pass","$pas",time()+15552000);

head("Установка VCMS - Шаг 4",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 4</div>";

echo "Поздравляем, ВЫ успешно зарегистрировались!<br/>";
echo "Вашы даные:<br/>";
echo "Логин: $n<br/>";
echo "Пароль: $pas<br/>";

echo "<a href=\"index.php\">Войти на сайт!</a>";
include_once("incs/down.php");
}else{
head("Установка VCMS - Шаг 4",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 4</div>";
echo "Ты что бля гермофродит?<br/>";
}
}else{
head("Установка VCMS - Шаг 4",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 4</div>";
echo "Пароль не может быть короче 6-и символов!<br/>";
}
}else{
head("Установка VCMS - Шаг 4",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 4</div>";
echo "Логин не может быть короче 3-х символов!<br/>";
}
}else{
head("Установка VCMS - Шаг 4",$meuser,$auth);
echo "<div class='rowup'>";
echo "<a href=\"install.php\">Установка движка СMS Кактус</a> - Шаг 4</div>";
echo "Не заполнены поля или пароли не совпадают!<br/>";
}
include_once("incs/down.php");
break;
}

head("Установка движка СMS Кактус - Шаг 1",$meuser,$auth);
echo "<div class='rowup'>";
echo "Установка движка СMS Кактус - Шаг 1</div>";

echo "Перед началом установки выставить права доступа на все папки - 777<br>";
echo "<span style=\"color:#ff0000;\">После установки обязательно удалите файл INSTALL.PHP - не удаляя его вы подвергаетесь большой опасности!</span><br>";
echo "Вы соглашаетесь со всеми правилами?<br>";
echo "<div class=\"menu\"><a href=\"install.php?act=2\">ДА, ПОДОЛЖЫТЬ УСТАНОВКУ</a></div>";

include_once("incs/down.php");
?>